org.apache.commons.imaging.formats.tiff.datareaders

## Class DataReaderStrips

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.datareaders.ImageDataReader
  - - org.apache.commons.imaging.formats.tiff.datareaders.DataReaderStrips

-     public final class DataReaderStrips
      extends ImageDataReader

  Provides a data reader for TIFF file images organized by tiles.

  See Also:
    `for notes discussing design and development with particular emphasis on run-time performance.`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.tiff.datareaders.ImageDataReader

      `bitsPerSampleLength, directory, height, photometricInterpreter, predictor, sampleFormat, samplesPerPixel, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataReaderStrips(TiffDirectory directory, PhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int sampleFormat, int width, int height, int compression, ByteOrder byteOrder, int rowsPerStrip, TiffImageData.Strips imageData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readImageData(ImageBuilder imageBuilder)`
    `BufferedImage` | `readImageData(Rectangle subImage)`
    `TiffRasterData` | `readRasterData(Rectangle subImage)` Defines a method for accessing the floating-point raster data in a TIFF image.

    - ### Methods inherited from class org.apache.commons.imaging.formats.tiff.datareaders.ImageDataReader

      `applyPredictor, decompress, isHomogenous, resetPredictor, unpackFloatingPointSamples`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataReaderStrips

          public DataReaderStrips(TiffDirectory directory,
                                  PhotometricInterpreter photometricInterpreter,
                                  int bitsPerPixel,
                                  int[] bitsPerSample,
                                  int predictor,
                                  int samplesPerPixel,
                                  int sampleFormat,
                                  int width,
                                  int height,
                                  int compression,
                                  ByteOrder byteOrder,
                                  int rowsPerStrip,
                                  TiffImageData.Strips imageData)

  - ### Method Detail

    - #### readImageData

          public void readImageData(ImageBuilder imageBuilder)
                             throws ImageReadException,
                                    IOException

      Specified by:
        `readImageData` in class `ImageDataReader`
      Throws:
        `ImageReadException`
        `IOException`

    - #### readImageData

          public BufferedImage readImageData(Rectangle subImage)
                                      throws ImageReadException,
                                             IOException

      Specified by:
        `readImageData` in class `ImageDataReader`
      Throws:
        `ImageReadException`
        `IOException`

    - #### readRasterData

          public TiffRasterData readRasterData(Rectangle subImage)
                                        throws ImageReadException,
                                               IOException

      Description copied from class: `ImageDataReader`
      Defines a method for accessing the floating-point raster data in a TIFF image. These implementations of this method in DataReaderStrips and DataReaderTiled assume that this instance is of a compatible data type (floating-point) and that all access checks have already been performed.
      Specified by:
        `readRasterData` in class `ImageDataReader`
      Parameters:
        `subImage` - if non-null, instructs the access method to retrieve only a sub-section of the image data.
      Returns:
        a valid instance
      Throws:
        `ImageReadException` - in the event of an incompatible data form.
        `IOException` - in the event of I/O error.

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.